Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421413 - Review Request: sysusage - System monitoring based on perl, rrdtool, and sysstat
Summary: Review Request: sysusage - System monitoring based on perl, rrdtool, and sysstat
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-12 05:20 UTC by Frank Crawford
Modified: 2020-05-07 12:33 UTC (History)
4 users (show)

Fixed In Version: sysusage-5.5-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-07 12:33:21 UTC
Type: ---
macermak: fedora-review+


Attachments (Terms of Use)
Drop buildroot from build (413 bytes, patch)
2017-07-17 09:35 UTC, Jaroslav Škarvada
no flags Details | Diff

Description Frank Crawford 2017-02-12 05:20:20 UTC
Spec URL: https://fedorapeople.org/~frankcrawford/sysusage.spec

SRPM URL: https://fedorapeople.org/~frankcrawford/sysusage-5.5-1.fc26.src.rpm

Description: SysUsage is a system monitoring and alarm reporting tool. 
It can generate historical graph views of CPU, memory, IO,
network and disk usage, and very much more.

Fedora Account System Username: frankcrawford

This is a request to re-review the package to being it back from retirement as I am willing to over as the maintainer.  It was previously retired from F24.

Comment 1 Marek Cermak 2017-07-13 11:39:36 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/package/sysusage
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names
- Package must own all directories that it creates.
  Note: Directories without known owners: /usr/share/perl5/vendor_perl,
       	/usr/share/perl5, /etc/cron.d, /var/www

  /usr/share/perl5 is owned by perl-libs-5.26.0-394.fc27.x86_64
  /usr/share/perl5/vendor_perl/ is owned by perl-libs-5.26.0-394.fc27.x86_64
  /var/www is owned by httpd-filesystem-2.4.27-1.fc27.noarch
  file /etc/cron.d is not owned by any package

- %build : Remove the DESTDIR=%{buildroot} from the build section, if not possible, check that nothing is being built into the directory during build section.
 
- See "NOTES" at the end of this document for more info and todos.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 28 files have
     unknown license. 
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/perl5/vendor_perl,
     /usr/share/perl5, /etc/cron.d, /var/www
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 153600 bytes in 5 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     sysusage-common , sysusage-httpd , sysusage-rsysusage
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sysusage-5.5-1.fc27.noarch.rpm
          sysusage-common-5.5-1.fc27.noarch.rpm
          sysusage-httpd-5.5-1.fc27.noarch.rpm
          sysusage-rsysusage-5.5-1.fc27.noarch.rpm
          sysusage-5.5-1.fc27.src.rpm
	  sysusage.spec
sysusage.noarch: W: spelling-error Summary(en_US) perl -> Perl, peel, perk
sysusage.noarch: W: spelling-error %description -l en_US informations -> information, information's, in formations
sysusage.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
sysusage.noarch: W: spelling-error %description -l en_US throught -> through, thought, through t
sysusage.noarch: W: spelling-error %description -l en_US plateforms -> platforms, plate forms, plate-forms
sysusage.noarch: W: spelling-error %description -l en_US embeded -> embedded, embed ed, embed-ed
sysusage.noarch: W: spelling-error %description -l en_US programing -> programming, monogramming, program
sysusage.noarch: W: spelling-error %description -l en_US lesspossible -> less possible, less-possible, impossible
sysusage.noarch: W: no-manual-page-for-binary sysusagegraph
sysusage.noarch: W: no-manual-page-for-binary sysusagejqgraph
sysusage.noarch: W: no-manual-page-for-binary sysusagewarn
sysusage-common.noarch: W: spelling-error %description -l en_US rsysusage -> sausage
sysusage-httpd.noarch: W: no-documentation
sysusage-rsysusage.noarch: W: spelling-error Summary(en_US) util -> til, until, u til
sysusage-rsysusage.noarch: W: no-documentation
sysusage-rsysusage.noarch: W: no-manual-page-for-binary rsysusage
sysusage.src: W: spelling-error Summary(en_US) perl -> Perl, peel, perk
sysusage.src: W: spelling-error Summary(en_US) rrdtool -> toolbar
sysusage.src: W: spelling-error %description -l en_US informations -> information, information's, in formations
sysusage.src: W: spelling-error %description -l en_US rrdtool -> toolbar
sysusage.src: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
sysusage.src: W: spelling-error %description -l en_US jqplot -> plot
sysusage.src: W: spelling-error %description -l en_US throught -> through, thought, through t
sysusage.src: W: spelling-error %description -l en_US plateforms -> platforms, plate forms, plate-forms
sysusage.src: W: spelling-error %description -l en_US embeded -> embedded, embed ed, embed-ed
sysusage.src: W: spelling-error %description -l en_US programing -> programming, monogramming, program
sysusage.src: W: spelling-error %description -l en_US lesspossible -> less possible, less-possible, impossible
sysusage.src:1: W: macro-in-comment %global
sysusage.src:102: W: rpm-buildroot-usage %build DESTDIR=%{buildroot}
sysusage.spec:1: W: macro-in-comment %global
	There is a unescaped macro after a shell style comment in the specfile. Macros
	are expanded everywhere, so check if it can cause a problem in this case and
	escape the macro with another leading % if appropriate.
sysusage.spec:102: W: rpm-buildroot-usage %build DESTDIR=%{buildroot}
	$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it may
	break short circuit builds.

5 packages and 1 specfiles checked; 0 errors, 31 warnings.

Rpmlint (installed packages)
----------------------------
sysusage-common.noarch: W: spelling-error %description -l en_US rsysusage -> sausage
sysusage-rsysusage.noarch: W: spelling-error Summary(en_US) util -> til, until, u til
sysusage-rsysusage.noarch: W: no-documentation
sysusage-rsysusage.noarch: W: no-manual-page-for-binary rsysusage
sysusage.noarch: W: spelling-error Summary(en_US) perl -> Perl, peel, perk
sysusage.noarch: W: spelling-error %description -l en_US informations -> information, information's, in formations
sysusage.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
sysusage.noarch: W: spelling-error %description -l en_US throught -> through, thought, through t
sysusage.noarch: W: spelling-error %description -l en_US plateforms -> platforms, plate forms, plate-forms
sysusage.noarch: W: spelling-error %description -l en_US embeded -> embedded, embed ed, embed-ed
sysusage.noarch: W: spelling-error %description -l en_US programing -> programming, monogramming, program
sysusage.noarch: W: spelling-error %description -l en_US lesspossible -> less possible, less-possible, impossible
sysusage.noarch: W: no-manual-page-for-binary sysusagegraph
sysusage.noarch: W: no-manual-page-for-binary sysusagejqgraph
sysusage.noarch: W: no-manual-page-for-binary sysusagewarn
sysusage-httpd.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 16 warnings.



Requires
--------
sysusage-common (rpmlib, GLIBC filtered):
    config(sysusage-common)

sysusage-rsysusage (rpmlib, GLIBC filtered):
    /usr/bin/perl
    sysstat
    sysusage-common

sysusage (rpmlib, GLIBC filtered):
    /usr/bin/perl
    config(sysusage)
    crontabs
    perl(:MODULE_COMPAT_5.26.0)
    perl(Time::HiRes)
    rrdtool
    sysstat
    sysusage-common
    sysusage-rsysusage

sysusage-httpd (rpmlib, GLIBC filtered):
    config(sysusage-httpd)
    httpd
    sysusage



Provides
--------
sysusage-common:
    config(sysusage-common)
    sysusage-common

sysusage-rsysusage:
    sysusage-rsysusage

sysusage:
    config(sysusage)
    sysusage

sysusage-httpd:
    config(sysusage-httpd)
    sysusage-httpd


LICENCECHECK
------------

GPL (v3 or later)
-----------------
sysusage-5.5/Sar.pm
sysusage-5.5/bin/rsysusage
sysusage-5.5/bin/sysusage
sysusage-5.5/bin/sysusagegraph
sysusage-5.5/bin/sysusagejqgraph
sysusage-5.5/bin/sysusagewarn

Unknown or generated
--------------------
sysusage-5.5/ChangeLog
sysusage-5.5/INSTALL
sysusage-5.5/LICENSE
sysusage-5.5/MANIFEST
sysusage-5.5/Makefile.PL
sysusage-5.5/README
sysusage-5.5/TODO
sysusage-5.5/doc/SysUsage.pod
sysusage-5.5/doc/sysusage.1
sysusage-5.5/packaging/README
sysusage-5.5/packaging/RPM/sysusage.spec
sysusage-5.5/packaging/debian/create-deb-tree.sh
sysusage-5.5/packaging/debian/sysusage/DEBIAN/control
sysusage-5.5/packaging/debian/sysusage/DEBIAN/postinst
sysusage-5.5/packaging/debian/sysusage/DEBIAN/prerm
sysusage-5.5/packaging/slackbuild/README
sysusage-5.5/packaging/slackbuild/SysUsage.SlackBuild
sysusage-5.5/packaging/slackbuild/SysUsage.info
sysusage-5.5/packaging/slackbuild/doinst.sh
sysusage-5.5/packaging/slackbuild/slack-desc
sysusage-5.5/plugins/plugin-sample1.pl
sysusage-5.5/plugins/plugin-sample2.pl
sysusage-5.5/resources/favicon.ico
sysusage-5.5/resources/jqplot-sysusage.tar.gz
sysusage-5.5/resources/sysusage-logo.png
sysusage-5.5/resources/sysusage.css
sysusage-5.5/resources/sysusage.js
sysusage-5.5/resources/sysusage_arrow.png


Source checksums
----------------
http://downloads.sourceforge.net/project/sysusage/sysusage/5.5/sysusage-5.5.tar.gz :
  CHECKSUM(SHA256) this package     : 5d857cf1e62aedde6f13055608e402c8ba92acdac418bf1441f0027def97ebac
  CHECKSUM(SHA256) upstream package : 5d857cf1e62aedde6f13055608e402c8ba92acdac418bf1441f0027def97ebac


NOTES
-----
	- Orphaned package - name conflict permitted
	- For package ownership information, see :
	  https://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function or
	  https://fedoraproject.org/wiki/Packaging:WeakDependencies
	- Correction of the spelling in specfile
	- Consider using %{?_isa} to fully define Requires
	- Consider putting content of Web App into /usr/share/%{name} instead of /var/www/
	- Change %doc LICENSE -> %license LICENSE
	- Not necessary anymore to compare %if 0%{?fedora} > 17
	- Rpmlint is complaining about the #%global comment - note that to escape the whole macro, #%% is needed, also, it could actually be deleted completely. 


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1421413
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Jaroslav Škarvada 2017-07-13 12:00:36 UTC
(In reply to Marek Cermak from comment #1)
> 	- Consider putting content of Web App into /usr/share/%{name} instead of
> /var/www/
>
Probably OK, bug 1028722.

Comment 3 Jaroslav Škarvada 2017-07-13 12:27:40 UTC
Also I think the license tag should be GPLv3+, not GPLv3.

Comment 4 Jaroslav Škarvada 2017-07-13 12:30:28 UTC
(In reply to Marek Cermak from comment #1)
>   file /etc/cron.d is not owned by any package

False positive, the package requires crontabs which requires /etc/cron.d, which is provided by cronie, i.e. the dependency is fulfilled.

Comment 5 Jaroslav Škarvada 2017-07-13 12:31:59 UTC
Also please remove trailing whitespaces in %description.

Comment 6 Frank Crawford 2017-07-13 12:35:07 UTC
(In reply to Marek Cermak from comment #1)

Marek, thanks for that.  I've made a couple of comments below.

> Package Review
> ==============
...
> 
> NOTES
> -----
> 	- Orphaned package - name conflict permitted

Obviously not an issue, it is the same package, so should be the same.

> 	- For package ownership information, see :
> 	 
> https://fedoraproject.org/wiki/Packaging:
> Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your
> _package_to_function or
> 	  https://fedoraproject.org/wiki/Packaging:WeakDependencies

Mostly covered above, the only outstanding seems to be for /etc/cron.d, which I thought would be covered by crontabs, but seems to be owned by cronie.

Any suggestions on what to do about that one, if anything?

> 	- Correction of the spelling in specfile

Yeah, will fix real errors here.  (rsysusage -> sausage! :-))

> 	- Consider using %{?_isa} to fully define Requires

Will review and probably fix it up.

> 	- Consider putting content of Web App into /usr/share/%{name} instead of
> /var/www/

See Comment 2 above.

> 	- Change %doc LICENSE -> %license LICENSE

Yep, will fix.

> 	- Not necessary anymore to compare %if 0%{?fedora} > 17

Yep, will look at and probably remove.

> 	- Rpmlint is complaining about the #%global comment - note that to escape
> the whole macro, #%% is needed, also, it could actually be deleted
> completely. 

Will review and fix up.

As I said, thanks, I'll review and submit a new spec file.

Comment 7 Jaroslav Škarvada 2017-07-13 12:36:03 UTC
(In reply to Marek Cermak from comment #1)
> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
>      sysusage-common , sysusage-httpd , sysusage-rsysusage

False positive, noarch packages, no %{?_isa} is needed.

Comment 8 Jaroslav Škarvada 2017-07-13 12:38:28 UTC
(In reply to Frank Crawford from comment #6)
> Will review and fix up.
> 
Great, please also address comment 3 and comment 5.

Comment 9 Frank Crawford 2017-07-13 12:40:11 UTC
(In reply to Jaroslav Škarvada from comment #8)
> (In reply to Frank Crawford from comment #6)
> > Will review and fix up.
> > 
> Great, please also address comment 3 and comment 5.

Thanks Jaroslav, I'll also pick up those comments while I'm at it.

Comment 10 Marek Cermak 2017-07-14 08:18:44 UTC
Thanks, Frank, for quick response and Jaroslav, for addressing another issues and additional comments. 

(In reply to Jaroslav Škarvada from comment #2)
> (In reply to Marek Cermak from comment #1)
> > 	- Consider putting content of Web App into /usr/share/%{name} instead of
> > /var/www/
> >
> Probably OK, bug 1028722.

Checked the bug 1028722 /var/www is considered acceptable, no need to change it.


(In reply to Jaroslav Škarvada from comment #4)
> (In reply to Marek Cermak from comment #1)
> >   file /etc/cron.d is not owned by any package
> 
> False positive, the package requires crontabs which requires /etc/cron.d,
> which is provided by cronie, i.e. the dependency is fulfilled.

I've checked the /etc/cron* , it is indeed false positive. 


(In reply to Jaroslav Škarvada from comment #3)
> Also I think the license tag should be GPLv3+, not GPLv3.

Agreed, it would be wiser to specify GPLv3+ in the license tag since licensecheck states the 6 files to be GPLv3 or later.

(In reply to Jaroslav Škarvada from comment #7)
> (In reply to Marek Cermak from comment #1)
> > [!]: Fully versioned dependency in subpackages if applicable.
> >      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
> >      sysusage-common , sysusage-httpd , sysusage-rsysusage
> 
> False positive, noarch packages, no %{?_isa} is needed.

Right. I beat the gun there.

Comment 11 Frank Crawford 2017-07-15 08:15:05 UTC
Okay, I believe I've updated the spec file for all the issues raised, and here is the new spec file and updated SRPM.

Spec URL: https://fedorapeople.org/~frankcrawford/sysusage.spec

SRPM URL: https://fedorapeople.org/~frankcrawford/sysusage-5.5-2.fc27.src.rpm

Comment 12 Jaroslav Škarvada 2017-07-17 09:35:55 UTC
Created attachment 1299753 [details]
Drop buildroot from build

Thanks, could you apply the attached patch? It removes the buildroot from the build phase, i.e. it fixes rpmlint and shortcircuit builds with different destdir.

Comment 13 Marek Cermak 2017-07-17 09:57:03 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/package/sysusage
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 28 files have
     unknown license. Detailed output of licensecheck in
     /home/macermak/RedHat/Fedora/reviews/1421413-sysusage/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/perl5/vendor_perl,
     /usr/share/perl5, /etc/cron.d, /var/www
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     sysusage-common , sysusage-httpd , sysusage-rsysusage
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sysusage-5.5-2.fc27.noarch.rpm
          sysusage-common-5.5-2.fc27.noarch.rpm
          sysusage-httpd-5.5-2.fc27.noarch.rpm
          sysusage-rsysusage-5.5-2.fc27.noarch.rpm
          sysusage-5.5-2.fc27.src.rpm
		  sysusage.spec
sysusage.noarch: W: no-manual-page-for-binary sysusagegraph
sysusage.noarch: W: no-manual-page-for-binary sysusagejqgraph
sysusage.noarch: W: no-manual-page-for-binary sysusagewarn
sysusage-common.noarch: W: spelling-error %description -l en_US rsysusage -> sausage
sysusage-common.noarch: W: no-documentation
sysusage-httpd.noarch: W: no-documentation
sysusage-rsysusage.noarch: W: no-documentation
sysusage-rsysusage.noarch: W: no-manual-page-for-binary rsysusage
sysusage.src: W: spelling-error Summary(en_US) rrdtool -> toolbar
sysusage.src: W: spelling-error %description -l en_US rrdtool -> toolbar
sysusage.src: W: spelling-error %description -l en_US jqplot -> plot
sysusage.src:101: W: rpm-buildroot-usage %build DESTDIR=%{buildroot}
5 packages and 1 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
sysusage-common.noarch: W: spelling-error %description -l en_US rsysusage -> sausage
sysusage-common.noarch: W: no-documentation
sysusage-rsysusage.noarch: W: no-documentation
sysusage-rsysusage.noarch: W: no-manual-page-for-binary rsysusage
sysusage.noarch: W: no-manual-page-for-binary sysusagegraph
sysusage.noarch: W: no-manual-page-for-binary sysusagejqgraph
sysusage.noarch: W: no-manual-page-for-binary sysusagewarn
sysusage-httpd.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
sysusage-common (rpmlib, GLIBC filtered):
    config(sysusage-common)

sysusage-rsysusage (rpmlib, GLIBC filtered):
    /usr/bin/perl
    sysstat
    sysusage-common

sysusage (rpmlib, GLIBC filtered):
    /usr/bin/perl
    config(sysusage)
    crontabs
    perl(:MODULE_COMPAT_5.26.0)
    perl(Time::HiRes)
    rrdtool
    sysstat
    sysusage-common
    sysusage-rsysusage

sysusage-httpd (rpmlib, GLIBC filtered):
    config(sysusage-httpd)
    httpd
    sysusage



Provides
--------
sysusage-common:
    config(sysusage-common)
    sysusage-common

sysusage-rsysusage:
    sysusage-rsysusage

sysusage:
    config(sysusage)
    sysusage

sysusage-httpd:
    config(sysusage-httpd)
    sysusage-httpd

Licensecheck
------------

GPL (v3 or later)
-----------------
sysusage-5.5/Sar.pm
sysusage-5.5/bin/rsysusage
sysusage-5.5/bin/sysusage
sysusage-5.5/bin/sysusagegraph
sysusage-5.5/bin/sysusagejqgraph
sysusage-5.5/bin/sysusagewarn

Unknown or generated
--------------------
sysusage-5.5/ChangeLog
sysusage-5.5/INSTALL
sysusage-5.5/LICENSE
sysusage-5.5/MANIFEST
sysusage-5.5/Makefile.PL
sysusage-5.5/README
sysusage-5.5/TODO
sysusage-5.5/doc/SysUsage.pod
sysusage-5.5/doc/sysusage.1
sysusage-5.5/packaging/README
sysusage-5.5/packaging/RPM/sysusage.spec
sysusage-5.5/packaging/debian/create-deb-tree.sh
sysusage-5.5/packaging/debian/sysusage/DEBIAN/control
sysusage-5.5/packaging/debian/sysusage/DEBIAN/postinst
sysusage-5.5/packaging/debian/sysusage/DEBIAN/prerm
sysusage-5.5/packaging/slackbuild/README
sysusage-5.5/packaging/slackbuild/SysUsage.SlackBuild
sysusage-5.5/packaging/slackbuild/SysUsage.info
sysusage-5.5/packaging/slackbuild/doinst.sh
sysusage-5.5/packaging/slackbuild/slack-desc
sysusage-5.5/plugins/plugin-sample1.pl
sysusage-5.5/plugins/plugin-sample2.pl
sysusage-5.5/resources/favicon.ico
sysusage-5.5/resources/jqplot-sysusage.tar.gz
sysusage-5.5/resources/sysusage-logo.png
sysusage-5.5/resources/sysusage.css
sysusage-5.5/resources/sysusage.js
sysusage-5.5/resources/sysusage_arrow.png


NOTES
-----
sysusage.src:101: W: rpm-buildroot-usage %build DESTDIR=%{buildroot}  -- see the comment above from Jaroslav Skarvada and apply the patch, please. 

Otherwise OK!


Source checksums
----------------
http://downloads.sourceforge.net/project/sysusage/sysusage/5.5/sysusage-5.5.tar.gz :
  CHECKSUM(SHA256) this package     : 5d857cf1e62aedde6f13055608e402c8ba92acdac418bf1441f0027def97ebac
  CHECKSUM(SHA256) upstream package : 5d857cf1e62aedde6f13055608e402c8ba92acdac418bf1441f0027def97ebac


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1421413
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 14 Frank Crawford 2017-07-17 12:11:11 UTC
(In reply to Marek Cermak from comment #13)
> NOTES
> -----
> sysusage.src:101: W: rpm-buildroot-usage %build DESTDIR=%{buildroot}  -- see
> the comment above from Jaroslav Skarvada and apply the patch, please. 
> 
> Otherwise OK!

Okay, I'll fix that up in the next day and up load a new spec file, and SRPM.

Comment 15 Frank Crawford 2017-07-17 12:15:59 UTC
(In reply to Jaroslav Škarvada from comment #12)
> Created attachment 1299753 [details]
> Drop buildroot from build
> 
> Thanks, could you apply the attached patch? It removes the buildroot from
> the build phase, i.e. it fixes rpmlint and shortcircuit builds with
> different destdir.

Just for my knowledge aside from rpmlint's complaint, what is the issue with the use of %{buildroot} in the %build step?

Comment 16 Jaroslav Škarvada 2017-07-17 12:55:43 UTC
(In reply to Frank Crawford from comment #15)
> (In reply to Jaroslav Škarvada from comment #12)
> > Created attachment 1299753 [details]
> > Drop buildroot from build
> > 
> > Thanks, could you apply the attached patch? It removes the buildroot from
> > the build phase, i.e. it fixes rpmlint and shortcircuit builds with
> > different destdir.
> 
> Just for my knowledge aside from rpmlint's complaint, what is the issue with
> the use of %{buildroot} in the %build step?

You can directly run %install stage with various different %buildroot and skip previous %prep and %build steps. I.e. %buildroot is for install. By using %buildroot in %build you cannot change it later and run (or re-run %install) with different %buildroot.

In practice it will usually work in both cases, but it's logically incorrect and rpmlint is correctly complaining.

Comment 17 Frank Crawford 2017-07-18 12:13:37 UTC
(In reply to Jaroslav Škarvada from comment #16)

Jaroslav, thanks for the clarification.

Comment 18 Frank Crawford 2017-07-18 12:15:04 UTC
(In reply to Frank Crawford from comment #14)
> (In reply to Marek Cermak from comment #13)
> > NOTES
> > -----
> > sysusage.src:101: W: rpm-buildroot-usage %build DESTDIR=%{buildroot}  -- see
> > the comment above from Jaroslav Skarvada and apply the patch, please. 
> > 
> > Otherwise OK!
> 
> Okay, I'll fix that up in the next day and up load a new spec file, and SRPM.

The new versions are now uploaded at:

Spec URL: https://fedorapeople.org/~frankcrawford/sysusage.spec

SRPM URL: https://fedorapeople.org/~frankcrawford/sysusage-5.5-3.fc27.src.rpm

Comment 19 Marek Cermak 2017-07-18 14:53:11 UTC
Thanks Frank, 

If I am not mistaken, you've forgotten to update the changelog to the newest release. Could you correct that, please?

Comment 20 Frank Crawford 2017-07-19 03:34:25 UTC
(In reply to Marek Cermak from comment #19)
> Thanks Frank, 
> 
> If I am not mistaken, you've forgotten to update the changelog to the newest
> release. Could you correct that, please?

Whoops, sorry, I've updated the changelog in the spec file and regenerated the SRPM.  I haven't updated the version number, so the links in Comment 18 will get the correct version.

Comment 21 Marek Cermak 2017-07-19 05:54:45 UTC
(In reply to Frank Crawford from comment #20)
> (In reply to Marek Cermak from comment #19)
> > Thanks Frank, 
> > 
> > If I am not mistaken, you've forgotten to update the changelog to the newest
> > release. Could you correct that, please?
> 
> Whoops, sorry, I've updated the changelog in the spec file and regenerated
> the SRPM.  I haven't updated the version number, so the links in Comment 18
> will get the correct version.

Great, thanks, Frank.

Comment 22 Frank Crawford 2017-07-19 11:25:11 UTC
(In reply to Marek Cermak from comment #21)
> Great, thanks, Frank.

Thanks Marek.


Note You need to log in before you can comment on or make changes to this bug.